From: Denis Pynkin <denis.pynkin@collabora.com>
Date: Sun, 2 Aug 2020 20:56:56 +0300
Subject: renesas: set legacy FDT name

Starting from kernel 5.5 FDT names were split and
renamed to align with config options. This leading to
boot failure of old or new Apertis images depending of
naming schema used in `fdtfile` environment variable.

In this commit option `DEFAULT_FDT_FILE` is set to new
naming schema for the first boot try and `LEGACY_FDT_FILE`
is set according old naming schema allowing to try the
boot with an old FDT file as a fallback variant.

This is needed to allow the boot of Apertis images with both
new and kernels.

Signed-off-by: Denis Pynkin <denis.pynkin@collabora.com>
---
 configs/rcar3_ulcb_defconfig | 1 +
 1 file changed, 1 insertion(+)

diff --git a/configs/rcar3_ulcb_defconfig b/configs/rcar3_ulcb_defconfig
index 4f8447d..848ed39 100644
--- a/configs/rcar3_ulcb_defconfig
+++ b/configs/rcar3_ulcb_defconfig
@@ -15,6 +15,7 @@ CONFIG_SUPPORT_RAW_INITRD=y
 CONFIG_USE_BOOTARGS=y
 CONFIG_BOOTARGS="root=/dev/nfs rw nfsroot=192.168.0.1:/export/rfs ip=192.168.0.20"
 CONFIG_DEFAULT_FDT_FILE="renesas/r8a77950-ulcb.dtb"
+CONFIG_LEGACY_FDT_FILE="renesas/r8a7795-h3ulcb.dtb"
 CONFIG_UPDATE_TFTP=y
 CONFIG_HUSH_PARSER=y
 CONFIG_CMD_BOOTZ=y
